<?php

namespace App\Console\Commands;

use App\Services\Admin\Contracts\AdminServiceInterface;
use Illuminate\Console\Command;

class ResetCardsCommand extends Command
{
    protected $signature = 'cards:reset';

    protected $description = 'Reset all system cards to 0 at the beginning of the month';

    public function __construct(
        private AdminServiceInterface $adminService
    ) {
        parent::__construct();
    }

    public function handle()
    {
        $this->adminService->resetAllCards();
        $this->info('Successfully reset all cards for active members to 0!');
    }
}
